@import "variables";
@import "mixins";

.modal{
  //display: none;
  position: fixed;
  z-index: 1;
  padding-top: 150px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.8);
  &__content  {
    background-color: $modal-color;
    margin: 0 auto;
    border: 1px solid $modal-color;
    border-radius: 7px;
    width: 40%;
    position: relative;
    @include flexCenter(space-bettwen);
    flex-direction: column;
    &__header{
      background-color: $modal-color-header;
      width: 100%;
      border-radius: 7px;
      @include textProp(22px, bold, #ffffff);
      @include flexCenter(space-between);
      padding: 20px 30px;

    }
    &__close-btn{
      cursor: pointer;
    }

    &__body{
      @include textProp(18px, normal, #ffffff);
      line-height: 30px;
      text-align: center;
      padding: 20px 40px;

    }
    &__footer{
      padding-bottom: 30px;
      &__btn-wrap{

        @include flexCenter(center);
        gap: 15px;
      }
      &__btn--var1{
        width: 100px;
        height: 20px;
        background-color: $modal-color-btn1;
        border-radius: 5px;
        border: none;
        @include textProp(15px, normal, #ffffff);
        @include flexCenter(center);
        cursor: pointer;
        &:hover{
          opacity: 0.8;
        }
      }
      &__btn--var2{
        width: 100px;
        height: 20px;
        background-color: $modal-color-btn2;
        border-radius: 20px;
        border: none;
        @include textProp(15px, normal, $modal-color-header);
        @include flexCenter(center);
        cursor: pointer;
        &:hover{
          opacity: 0.8;
        }
      }
    }
  }
}


